<?php
/**
 * sh404SEF support for com_groupjive component.
 * Author : warut sudpoothong
 * contact : warut21@yahoo.com
 * 
 * {shSourceVersionTag: Version 1 - 2010-03-06}
 * 
 * 
 *    
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

// ------------------  standard plugin initialize function - don't change ---------------------------
global $sh_LANG, $sefConfig;  
$shLangName = '';
$shLangIso = '';
$title = array();
$shItemidString = '';
$dosef = shInitializePlugin( $lang, $shLangName, $shLangIso, $option);
if ($dosef == false) return;
// ------------------  standard plugin initialize function - don't change ---------------------------

// ------------------  load language file - adjust as needed ----------------------------------------
//$shLangIso = shLoadPluginLanguage( 'com_XXXXX', $shLangIso, '_SEF_SAMPLE_TEXT_STRING');
// ------------------  load language file - adjust as needed ----------------------------------------

// remove common URL from GET vars list, so that they don't show up as query string in the URL
shRemoveFromGETVarsList('option');
shRemoveFromGETVarsList('lang');
if (!empty($Itemid))
  shRemoveFromGETVarsList('Itemid');
if (!empty($limit))  
shRemoveFromGETVarsList('limit');
if (isset($limitstart)) 
  shRemoveFromGETVarsList('limitstart'); // limitstart can be zero
    

// start by inserting the menu element title (just an idea, this is not required at all)

$action = isset($action) ? @$action : null;
$Itemid = isset($Itemid) ? @$Itemid : null;
$catid = isset($catid) ? @$catid : null;

$title[] = 'group';

if (!empty($groupid)) {
	$q = 'SELECT id, name FROM #__gj_groups WHERE id = '.$groupid;
	$database->setQuery($q);
	$groupTitle = $database->loadObject( );
	}

if (!empty($catid)) {
	$q = 'SELECT id, catname FROM #__gj_grcategory WHERE id = '.$catid;
	$database->setQuery($q);
	$catTitle = $database->loadObject( );
	}

 switch ($action) {
	case 'gj.core.categories.showcategory' :
		$title[] = 'category';
		if (!empty($catid)) {
			$title[] = $catTitle->catname;
			$title[] = '/';
			}
	break;
	
	case 'gj.core.groups.showgroup' :
	  if (!empty($groupid)) {
		$title[] = $groupTitle->name;
		$title[] = '/';
		}
	break;
	
	case 'gj.core.members.showmemberlist' :
	  if (!empty($groupid)) {
		$title[] = $groupTitle->name;
		$title[] = 'member';
		$title[] = '/';
		}
	break;
	
	case 'gj.core.bulletin.showbulletin' :
	  if (!empty($groupid)) {
		$title[] = $groupTitle->name;
		$title[] = 'bulletin';
		$title[] = '/';
		}
	break;
	
	case 'gj.core.groups.createnewgroup' :
		$title[] = 'createnewgroup';
	break;
	

	default:
	if ($action != ''){
	$groupfunction = explode(".", $action);

	    if ($groupfunction[2] == 'groups'){
		$title[] = $groupTitle->name;
		$title[] = $groupfunction[3];
	       } 
	    elseif ($groupfunction[2] == 'bulletin'){
	    	$title[] = $groupTitle->name;
		//$title[] = 'bulletin';
		$title[] = $groupfunction[3];
	       }
	    elseif ($groupfunction[2] == 'categories'){
	    	$title[] = 'category';
		if (!empty($catid)) {
		       $title[] = $catTitle->catname;
		       $title[] = $groupfunction[3];
		}
	       }
	    elseif ($groupfunction[2] == 'pms'){
	    	$title[] = $groupTitle->name;
		$title[] = 'pms';
		$title[] = $groupfunction[3];
	       }
	    elseif ($groupfunction[2] == 'members'){
	    	$title[] = $groupTitle->name;
		//$title[] = 'member';
		$title[] = $groupfunction[3];
	       }
	    elseif ($groupfunction[2] == 'mail'){
	    	$title[] = $groupTitle->name;
		//$title[] = 'mail';
		$title[] = $groupfunction[3];
	       }
	    elseif ($groupfunction[2] == 'search'){
		$title[] = $groupfunction[3];
	       }
	} else {
	$title[] = '/';
	}

}
  
shRemoveFromGETVarsList('action');
shRemoveFromGETVarsList('catid');
shRemoveFromGETVarsList('groupid');
shRemoveFromGETVarsList('Itemid');


// ------------------  standard plugin finalize function - don't change ---------------------------  
if ($dosef){
   $string = shFinalizePlugin( $string, $title, $shAppendString, $shItemidString, 
      (isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null), 
      (isset($shLangName) ? @$shLangName : null));
}      
// ------------------  standard plugin finalize function - don't change ---------------------------
  
?>
